Bug 476204 - difference between the name of the binary and the name in its usage message
difference between the name of the binary and the name in its usage message
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnupg (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 08:38 EST by Milos Malik
Modified: 2012-03-05 11:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-05 11:33:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-12-12 08:38:35 EST
Description of problem:
There are 2 different binaries (gpg, gpgv) which have in their usage messages the same name (gpg).

Version-Release number of selected component (if applicable):
gnupg-1.4.5-14

How reproducible:
always

Steps to Reproduce:
# ls -l /usr/bin/gpg
-rwxr-xr-x 1 root root 979624 Jun 26 11:18 /usr/bin/gpg
# ls -l /usr/bin/gpgv
-rwxr-xr-x 1 root root 366276 Jun 26 11:18 /usr/bin/gpgv
# /usr/bin/gpg --help | grep -i syntax
Syntax: gpg [options] [files]
# /usr/bin/gpgv --help | grep -i syntax
Syntax: gpg [options] [files]

Actual results:
The name of the binary and the name in the usage message are different.

Expected results:
The name of the binary and the name in the usage message are the same.

Additional info:
Comment 1 David Shaw 2009-03-14 22:46:00 EDT
FYI, I just fixed this upstream.  It will be in 1.4.10 / 2.0.12.
Comment 2 Tomas Mraz 2012-03-05 11:33:15 EST
Fixed in Red Hat Enterprise Linux 6

Note You need to log in before you can comment on or make changes to this bug.